/*
Theme Name:     The Best Birthday
Theme URI:
Description:    Theme for TheBestBirthday.com
Author:         Donna Wilson
Author URI:
Template:       twentytwelve
Version:        1
*/

@import url("../twentytwelve/style.css"); 
@import url(http://fonts.googleapis.com/css?family=Rammetto+One|Montez);

html, body, body .site {
	margin: 0;
	padding: 0;
	font-family: "helvetica neue", helvetica, arial, sans-serif;
	font-size: 100%;
	background: url(images/bkgTexture.jpg);
	max-width: 100%;
	line-height: 1.5em;
}
header, #main, footer {
	width: 100%;
}
header .container, #main .container, footer .container, .container {
	max-width: 960px;
	margin: 0 auto;
}
ul { 
	list-style-type: disc;
	margin: 0 0 1em 0;
	padding-left: 0.2em;
}
ol {
	list-style-type: decimal;
	margin: 0 0 1em 0;
	padding-left: 0.2em;
}
li {
	margin-left: 2em;
}
/* -------------------------
search
----------------------------*/
.searchBarContainer {
	background: #d5e15a;
	padding: 10px 0;
	border-bottom: 1px solid #c7ce53;
	text-align: right;
}
.searchBox {
	max-width: 960px;
	margin: 0 auto;
}
#searchform label.screen-reader-text {
	display: none;
}

/* --------------------------
header 
----------------------------- */
header.main-header {
	clear: both;
	padding: 0;
}
.main-header h1, .main-header h2 {
	text-align: center;
	padding: 0;
	color: #ee2f26;
	line-height: normal;
	font-weight: normal;
}
.main-header h1 {
	font-size: 3.1em;
	margin: 1em 0 0 0;
}
.main-header h2 {
	font-family: 'Montez', cursive;
	font-size: 2.5em;
	margin: -.3em 0 0.2em 0;
}
h3, .entry-content h3 {
	font-size: 1.1em;
	margin: 0.2em 0;
	line-height: 1.4em;
}
.promos h3 {
	margin-bottom: 0.8em;
}
header hgroup {
	float: right;
	width: 60%;
}
img.header-image {
	border-radius: 0;
	box-shadow: none;
	margin: 0;
	padding: 0;
	width: auto!important;
	height: auto!important;
	max-width: 100%;
	max-height: 383px;
	margin-top: -40px;
}
.headerMain {
	z-index: 9999;
}
.headerImg {
	width: 33%;
	float: left;
}
/* ----------------
   page headers
---------------------------- */
.archive-header, .page-header {
	margin-bottom: 1.4em;
	padding-bottom: 0;
	border: 0;
}

/* --------------------------
typography 
----------------------------- */
h1, h1.entry-title a {
	font-family: 'Rammetto One', cursive;
	font-size: 2em;
	color: #ee2f26;
	margin: 0 0 0.4em 0;
	line-height: 1.2em;
}
h1.entry-title a {
	text-decoration: underline;
	font-size: 1em;
}
h1.partytitle {
	margin-bottom: 0.2em;
}
h2, .entry-content h2, .comment-content h2, .mu_register h2 {
	color: #ee2f26;
	font-size: 1.4em;
	margin: 0 0 0.2em 0;	
}
p, .entry-content p, .entry-summary p, 
.comment-content p, .mu_register p {
	margin: 0.2em 0 0.8em;
	line-height: 1.5em;
}
.wp-caption .wp-caption-text, .gallery-caption, .entry-caption {
	line-height: 1.4em;
}
/* --------------------------
navigation
----------------------------- */
.navHolder {
	clear: both;
	border-top: 1px solid transparent; /* makes the negative margin on the nav work */
}
.main-navigation {
	background: #f89a22 url(images/stitching.png) repeat-x 0 4px;
	clear: both;
	padding: 10px 0;
	margin-top: -80px;
	font-family: 'Rammetto One', cursive;
}
.main-navigation a {
	color: #fff;
	text-shadow: 1px 1px 1px #000;
	font-weight: normal;
}
.main-navigation .nav-menu {
	padding-left: 360px;
}
.main-navigation li {
	font-size: 1.25em;
	line-height: 1.2em;
}
.main-navigation li a {
	color: #fff;
	text-transform: none;
}
.main-navigation li a:hover {
	color: #d5e15a;
}
.navBottom {
	background: #f89a22 url(images/stitching.png) repeat-x top;
	height: 6px;
}
.main-navigation ul.nav-menu, .main-navigation div.nav-menu > ul {
	border: 0;
}

.main-navigation ul.nav-menu,
.main-navigation div.nav-menu > ul {
	display: inline!important; /* override parent - causes hz scroll bar */
}



/* toggled menu */
ul #menu-primary.toggled-on {
	list-style: none;
}


/* --------------------------
forms
----------------------------- */
button, input, textarea {
	border-radius: 6px;
}
/* --------------------------
main
----------------------------- */
#main {
	max-width: 960px;
	margin: 0 auto;
	padding: 0 0 2em 0;
}
#primary {
	padding-top: 14px;
}
.site-content {
	width: 100%;
	margin-top: 0.8em;
}
.partySection {
	clear: both;
	padding-top: 2em;
}
.partySection img { 
	border-radius: 10px;
}
.intro.partySection {
	padding-top: 0;
}
.introText {
	font-size: 1.5em;
	margin: 0.2em 0 0.8em;
}
.entry-header {
	margin-bottom: 0;
}
.site-content article {
	border: 0;
	padding-bottom: 0.4em;
	margin-bottom: 1em;
}
/* --------------------------
columns
----------------------------- */
.mainColumn { 
	float: left;
	width: 68%;
	margin-right: 5%;
}
.promos {
	float: left;
	width: 22%;
	padding: 10px 0 0 2%;
	border-radius: 6px;
	border-left: 1px solid #e5dfa5;
	border-top: 1px solid #e5dfa5;
	min-height: 100px;
	/*background: url(images/promoEdge.png) no-repeat top left;*/
	margin-bottom: 2em;
	font-size: 0.9em;
	line-height: 1.3em;
	box-shadow: -4px -4px 6px rgba(207,202,147,0.3);
}
.promos p { 
	line-height: 1.3em;
}
.promos img {
	max-width: 220px;
	display: block;
	margin: 0 auto;
}
aside.promos iframe { /* amazon iframes */
	margin-left: 15%;
}
/*
---- home & party ideas
-----------------------------*/
.home .party-ideas, 
.page-template-page-templatesparty-themes-php .party-ideas {
	margin-bottom: 1.4em;
	margin-right: 50px;
}
.home .party-ideas p,
.page-template-page-templatesparty-themes-php .party-ideas p {
	margin-bottom: 0.2em;
}

.home aside {
	float: left;
	width: 22%;
	padding: 10px 0 0 2%;
	margin-bottom: 1em;
}
.template-front-page .widget-area {
	border: 0;
}
/*--------------
   faq / tipdowns 
------------------------- */
h3.qa-faq-title a.qa-faq-anchor {
	font-size: 1em;
	font-weight: normal;
	background: url(images/icon-arrow-tipdown.png) no-repeat right -24px;
	padding-right: 18px;
}
h3.qa-faq-title a.qa-faq-anchor:hover, 
h3.qa-faq-title a.qa-faq-anchor:active {
	background: url(images/icon-arrow-tipdown.png) no-repeat right -144px;
}

/* --------- 
gallery
---------------- */

.gallery .gallery-icon img {
   background: #fff;
}

/* --------------------------
footer 
----------------------------- */

footer[role="contentinfo"] {
	border: 0;
	background: #d5e15a url(images/footerBkg.png) repeat-x top;
	padding-top: 70px;
	width: 100%;
	max-width: 100%;
}
footer .container {
	max-width: 960px;
	margin: 0 auto;
	padding-bottom: 40px;
}
#footer-widgets {
	width: 50%;
	float: left;
	margin: 0px 20px 0px 0px;
	padding: 0;
}
footer .site-info {
	float: right;
}
footer .social a {
	width: 34px;
	height: 34px;
	float: left;
	margin-right: 20px;
	text-indent: -9999px;
	background: url(images/socialMediaIcons.png) no-repeat;
}
footer .social.pinterestIcon  a {
	background-position: 0 0;
}
footer .social.pinterestIcon a:hover {
	background-position: -34px 0;
}
footer .social.facebookIcon a {
	background-position: -68px 0;
}
footer .social.facebookIcon a:hover {
	background-position: -102px 0;
}
footer .social.twitterIcon a {
	background-position: -136px 0;
}
footer .social.twitterIcon a:hover {
	background-position: -170px 0;
}

/* ------------------------
	basics
-----------------------------*/
.clearBoth {
	clear: both;
}

/* --------------------------
Min width 600px
----------------------------- */

@media screen and (min-width: 600px) {
	.main-navigation ul.nav-menu, .main-navigation div.nav-menu > ul {
		border: 0;
		}
	.main-navigation .current-menu-item > a, 
	.main-navigation .current-menu-ancestor > a, 
	.main-navigation .current_page_item > a, 
	.main-navigation .current_page_ancestor > a {
		color: #fff;
		font-weight: normal;
	}
	.main-navigation li {
		margin: 0 1.8em 0 0;
	}
	.main-navigation li a {
		padding: 14px 0;
		line-height: normal;
		color: #fff;
		text-transform: none;
	}
	.main-navigation li a:hover {
		color: #d5e15a;
	}
	.site-content {
		float: none;
		width: 100%;
	}
}

@media screen and (max-width: 940px) {
	body {
		font-size: 90%;
	}
	.main-header h1 {
		font-size: 2.5em;
	}
	.main-header h2 {
		font-size: 2.2em;
	}
	.promos img {
		max-width: 90%;
		margin-right: 10px;
	}
	hgroup { 
		margin-right: 20px;
	}
	.main-navigation .nav-menu {
		padding-left: 300px;
	}
	#main {
		width: 96%;
	}
}

/*  Max width 820 px
----------------------------------*/
 
@media screen and (max-width: 820px) {
	.main-header h1 {
		font-size: 2.4em;
		margin-top: 0.3em;
	}
	.main-header h2 {
		font-size: 2em;
	}
	img.header-image {
		max-width: 200px;
	}
	.main-navigation .nav-menu {
		padding-left: 220px;
	}
	.main-navigation li {
		font-size: 1.2em;
		margin-right: 1.4em;
	}
	#main {
		max-width: 96%;
	}
	header hgroup {
		width: 70%;
	}
	.headerImg {
		width: 25%;
	}
}

/* Max width 765px
----------------------------- */
@media screen and (max-width: 765px) {
	.main-navigation ul.nav-menu  {
		padding-left: 33%;
	}
	.main-navigation ul.nav-menu.toggled-on {
		padding: 0;
	}
	.main-navigation li {
		font-size: 1em;
		line-height: 1.2em;
	}
	.main-navigation li a {
		padding: 6px 0;
	}
	.mainColumn {
		float: none;
		width: 100%;
		margin-right: 0;
	}
	.promos {
		float: none;
		width: 90%;
		padding-right: 10px;
	}
	.promos img {
		float: left!important;
		margin-right: 1em;
		clear: both;
		max-width: 150px;
	}
	.partySection {
		padding-top: 1em;
	}
	.intro.partySection {
		padding-top: 0;
	}
	
}
/* Max width 650px
----------------------------- */
@media screen and (max-width: 650px) {
	img.header-image {
		display: none;
	}
	.main-navigation ul.nav-menu {
		padding-left: 0;
		text-align: center;
	}
	.main-navigation li {
		font-size: 1.2em;
	}
	.main-header h1 {
		margin: 0.5em 0 0 0;
		font-size: 2em;
		line-height: 1.2em;
	}
	.main-header h2 {
		font-size: 1.5em;
	}
	header hgroup {
		text-align: center;
		width: 100%;
		margin: 0 auto;	
		float: none;
	}
	.main-navigation {
		margin-top: 0.2em;
	}
	.site-content {
		margin-top: 0;
	}
	.introText {
		font-size: 1.2em;
	}
	h1 {
		font-size: 1.5em;
	}
	.main-navigation .nav-menu {
		padding-left: 0;
	}
}
/* Max width 600px - nav menu button 
----------------------------- */
@media screen and (max-width: 600px) {
	.main-navigation ul.nav-menu {
		list-style-type: none;
		width: 100%;
		margin-top: 1em;
	}
	.main-navigation ul.nav-menu li {
		border-bottom: 1px solid #fff;
		width: 100%;
		margin: 0;
	}
	.main-navigation li a {
		text-decoration: none;
		display: block;
		padding: 0.6em 0;
	}
}